Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
anhhaicd2

Chỉnh sửa Lisp chỉnh căn text trái phải giữa

Các bài được khuyến nghị

Mình sưu tập được 1 lisp rất hay trên diễn dàn của mình. Nhưng khi mình sử dụng thì ko có chức năng căn text phải và giữa. Bạn nào chỉnh lại giùm mình. Thank !;Viet boi: KTS_DUY  BINH SON - QUANG NGAI

;Dien dan: tailieukythuat.com

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(Defun c:clt ( )
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(command "undo" "be")
(Princ "\nHay chon doi tuong :")
(setq SS (ssget '((0 . "TEXT,MTEXT"))))

(setq diemcanhle (getpoint "\nChon diem canh le :"))

(setq i 0)
(setq N (sslength ss))
(while (< i N)

  (setq luubatdiem (getvar "osmode"))
  (setvar "osmode" 0)

   (setq DT (ssname ss i))
   (setq DTT (entget DT))
   (setq TEXT (cdr (assoc 10 DTT)))
   (setq Xcanhle (list (car diemcanhle)(cadr text)))
   (command ".move" DT "" TEXT Xcanhle)

  (setvar "osmode" luubatdiem)

   (setq i (1+ i))

)
(command "undo" "end")
(setvar "MODEMACRO" "**TAILIEUKYTHUAT.COM**")
      (Princ)
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(Defun c:cln ( )
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(command "undo" "be")
(Princ "\nHay chon doi tuong :")
(setq SS (ssget '((0 . "TEXT,MTEXT"))))

(setq diemcanhle (getpoint "\nChon diem canh le :"))

(setq i 0)
(setq N (sslength ss))
(while (< i N)

  (setq luubatdiem (getvar "osmode"))
  (setvar "osmode" 0)

   (setq DT (ssname ss i))
   (setq DTT (entget DT))
   (setq TEXT (cdr (assoc 10 DTT)))
   (setq Xcanhle (list (car text)(cadr diemcanhle))) 
   (command ".move" DT "" TEXT Xcanhle)

  (setvar "osmode" luubatdiem)

   (setq i (1+ i))

)
(command "undo" "end")
(setvar "MODEMACRO" "**TAILIEUKYTHUAT.COM**")
      (Princ)
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(Defun c:clp ( )
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(command "undo" "be")
(setvar "mirrtext" 0)
(Princ "\nHay chon doi tuong :")
(setq SS (ssget '((0 . "TEXT,MTEXT"))))

(setq diemcanhle (getpoint "\nChon diem canh le :"))

(setq i 0)
(setq N (sslength ss))
(while (< i N)

  (setq luubatdiem (getvar "osmode"))
  (setvar "osmode" 0)

   (setq DT (ssname ss i))
   (setq DTT (entget DT))
   (setq TEXT (cdr (assoc 10 DTT)))
   (setq Xcanhle (list (car diemcanhle)(cadr text)))
   (command ".move" DT "" TEXT Xcanhle)
   (command ".mirror" DT "" Xcanhle diemcanhle "y")

  (setvar "osmode" luubatdiem)

   (setq i (1+ i))

)
(command "undo" "end")
(setvar "MODEMACRO" "**TAILIEUKYTHUAT.COM**")
      (Princ)
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(Defun c:clg ( )
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(command "undo" "be")
;(setvar "mirrtext" 0)
(Princ "\nHay chon doi tuong :")
(setq SS (ssget '((0 . "TEXT"))))

(setq diemcanhle (getpoint "\nChon diem canh le :"))

(setq i 0)
(setq N (sslength ss))
(while (< i N)

  (setq luubatdiem (getvar "osmode"))
  (setvar "osmode" 0)

   (setq DT (ssname ss i))
   (setq DTT (entget DT))
   (setq TEXT (cdr (assoc 10 DTT)))
   (setq Xcanhle (list (car diemcanhle)(cadr text)))
   (command ".move" DT "" TEXT Xcanhle)
   (command ".mirror" DT "" Xcanhle diemcanhle "y")

   (setq DTTG (entget DT))
   (setq TEXTG (cdr (assoc 10 DTTG)))
  (setq  daitextg (distance Xcanhle TEXTG))
  (setq goctextg(angle Xcanhle TEXTG))
  (setq dainuatextg (/ daitextg 2))
  (setq diemquayg (polar Xcanhle goctextg dainuatextg))
  ;(setq diemlatg (list (car diemquayg) (+ (cadr diemquayg) 100)))
   (command ".move" DT "" diemquayg Xcanhle)
   ;(command ".mirror" DT "" diemquayg diemlatg "y")

  (setvar "osmode" luubatdiem)

   (setq i (1+ i))

)
(command "undo" "end")
(setvar "MODEMACRO" "**TAILIEUKYTHUAT.COM**")
      (Princ)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;---------------------------------------
(defun nstr (stri def)
(princ stri)
(princ "<")
(princ " ")
(princ def)
(princ ">")
(princ ":")
(princ " ")
);defun nstr
;--------------------
(defun nstr1 (stri)
(princ stri)
(princ "<")
(princ "Nhap vao")
(princ ">")
(princ ":")
(princ " ")
);defun nstr1
;---------------------
(defun nint (prompt def / temp)
(if def
  (setq temp (getint (nstr prompt def)))
  (setq def (getint (nstr1 prompt)))
);if def
(if temp
  (setq def temp)
  def
);if temp
);defun nint
;---------------------
(defun dnint (prompt def / temp)
(if def
  (setq temp (getreal (nstr prompt def)))
  (setq def (getreal (nstr1 prompt)))
);if def
(if temp
  (setq def temp)
  def
);if temp
);defun nint
;--------------------
(defun ndist (po prompt def / temp) ;nhan kh/cach va luu gia tri mac dinh
(if def
  (setq temp (getdist po (nstr prompt def)))
  (setq def (getdist po (nstr1 prompt)))
)if def
(if temp
    (setq def temp)
    def
);if temp
);defun ndist
;-----------------------------------
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


(Defun zoomduy ( )
  (command ".zoom" "")
    (Princ))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


(Defun thoi ()
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(setvar "MODEMACRO" "**TAILIEUKYTHUAT.COM**")
      (Princ)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

có đủ rồi mà bạn không biết đấy thôi. lệnh CLT canh lề trái, CLP canh lề phải, CLG canh lề giữa, CLN canh theo chiều đứng.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Srr spam , Phong cách Việt hóa và Modemacro của bác Duy :) Lâu rồi k thấy lên đây nữa hén

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

2 lúa nghe giang hồ đồn rằng cad 2015 không còn cần lisp này nữa, bác nào rành rẽ vui lòng chỉ giáo.

:D :D :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

2 lúa nghe giang hồ đồn rằng cad 2015 không còn cần lisp này nữa, bác nào rành rẽ vui lòng chỉ giáo.

:D :D :D

 

Anh Hai Lúa hơi bị "võ đoán" rồi! :) :) :)

Nó có từ AutoCAD2010, anh xem bài viết số 15 của chị Hà em:

http://www.cadviet.com/forum/topic/13440-lisp-can-le-text-left-center-right-va-fit-giong-word/

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×